Main Page | Class Hierarchy | Alphabetical List | Compound List | Compound Members

# IRiSystemCommand Struct Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
HRESULT | Trace ([in] BSTR bsText)
HRESULT | Alert ([in] BSTR bsText)
HRESULT | Fatal ([in] BSTR bsText)
HRESULT | Error ([in] BSTR bsText)
HRESULT | Warning ([in] BSTR bsText)
HRESULT | Info ([in] BSTR bsText)
HRESULT | CreateDO ([in] BSTR idName,[out, retval] VARIANT *pVal)
HRESULT | CloneDO ([in] VARIANT vDO,[out, retval] VARIANT *pVal)
HRESULT | ThisName ([out, retval] BSTR *pVal)
HRESULT | ThisOwner ([out, retval] BSTR *pVal)
HRESULT | GetMainDir ([out, retval] BSTR *pVal)
HRESULT | SetBusyCursor ([in] RtBOOL bBusy)

## Detailed Description

The IRiSystemCommand interface provides core methods for all script objects and commands. For script objects this is the only accessible command interface. The interface consists of base debug, output, identification and constructor methods.
Root-level name in the scripting engine's name space: System

## Member Function Documentation

HRESULT IRiSystemCommand::Trace | ( | [in] BSTR | bsText | ) |

  | Basic console output (suitable for script debug purposes). Parameters:
  bsText | – text to be send to the output console

HRESULT IRiSystemCommand::Alert | ( | [in] BSTR | bsText | ) |

  | Basic aler message box output. Parameters:
  bsText | – text to be displayed in modal message box

HRESULT IRiSystemCommand::Fatal | ( | [in] BSTR | bsText | ) |

  | Fatal error reporting (will terminate the tS as well, so use only in special occations). Parameters:
  bsText | – text to be displayed in fatal error message box

HRESULT IRiSystemCommand::Error | ( | [in] BSTR | bsText | ) |

  | Non-fatal error reporting (error box and logfile entry). Parameters:
  bsText | – text to be displayed in error message box

HRESULT IRiSystemCommand::Warning | ( | [in] BSTR | bsText | ) |

  | Warning reporting (logfile entry only, no msg box). Parameters:
  bsText | – text to be displayed in warning logfile entry

HRESULT IRiSystemCommand::Info | ( | [in] BSTR | bsText | ) |

  | Info message reporting (logfile entry only, no msg box). Parameters:
  bsText | – text to be displayed in info logfile entry

HRESULT IRiSystemCommand::CreateDO | ( | [in] BSTR | idName,
|  | [out, retval] VARIANT * | pVal
| ) |

  | Create new data object instance of given type. Parameters:
  idName | – identification of data object to be created (e.g. 'Common Data Package/Color Data')
  pVal | – returned data object instance

HRESULT IRiSystemCommand::CloneDO | ( | [in] VARIANT | vDO,
|  | [out, retval] VARIANT * | pVal
| ) |

  | Clone existing data object instance. Parameters:
  vDO | – data object instance to be cloned
  pVal | – returned data object instance clone

HRESULT IRiSystemCommand::ThisName | ( | [out, retval] BSTR * | pVal | ) |

  | Returns full name of the caller object (suitable for script objects e.g. to access some subobjects of itself). Parameters:
  pVal | – returned full name

HRESULT IRiSystemCommand::ThisOwner | ( | [out, retval] BSTR * | pVal | ) |

  | Returns full name of the caller owner object (suitable for script objects e.g. to access some neighbour objects). Parameters:
  pVal | – returned owner full name

HRESULT IRiSystemCommand::GetMainDir | ( | [out, retval] BSTR * | pVal | ) |

  | Returns main application directory (full disk path). Parameters:
  pVal | – returned directiory

HRESULT IRiSystemCommand::SetBusyCursor | ( | [in] RtBOOL | bBusy | ) |

| Set or reset busy mouse cursor (suitable e.g. for heavy computation cases).